Bug 1030082 - RFE: Shutdown server if server entity removed or missing
RFE: Shutdown server if server entity removed or missing
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: GA
: RHQ 4.11
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 16:38 EST by Stefan Negrea
Modified: 2014-07-21 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-21 06:13:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2013-11-13 16:38:35 EST
Description of problem:
Currently, when a server is removed from the database via the Admin UI -> Servers, the removed continues to run. The server will be fully operational for a while after the removal however operational integrity cannot be guaranteed. So far this functionality was intended to clear the database from previously decommissioned servers in an HA environment. It was not intended to remove servers that are still operational.

An enhancement was requested to shutdown the server if the server entity is removed from the database. 

Use case for enhancement:
1. Install at least one RHQ server
2. Go to Admin UI -> Servers 
3. Remove a server from the list of servers
4. The removed servers stops itself (on the next run of the internal heartbeat)

Notes:
1. The removal can be initiated from any server for any other server
2. The shutdown might not be immediate, as it will happen on the next heartbeat of the removed server.
3. The removed server will recreate the it's database entry if restarted later.
4. It is the user responsibility to properly decommission the server before or after this removal. 
5. The removal will only ensure that the server shutdown, it cannot prevent restarts (for example, if tied to system life-cycle) and thus getting the server fully operational.
Comment 1 John Mazzitelli 2014-04-16 13:52:24 EDT
git commit to master: 02513a8a0c8703bdb4804e31ac0ffd7ec35a2819
git commit to release/3.2.x: 2a4a2476c5300eb63838c055f4953cbff181c07f
Comment 2 Heiko W. Rupp 2014-07-21 06:13:38 EDT
Bulk closing of RHQ 4.11 issues, now that RHQ 4.12 is out.

If you find an issue with those, please open a new BZ, linking to the old one.

Note You need to log in before you can comment on or make changes to this bug.